Subject: iostreams won't work
From: [email-masked] (Matthew Mueller)

24 Apr 1997 06:49:46 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

when I try to compile this program:

#include <iostream.h>
#include <stdio.h>
int main(void){
  cout << "hi.\n";
  getchar();
  cout << "bye.\n";
  return 0;
}

I get this error:

f:\prog\c32>gcc test.cpp
C:\WIN95\TEMP/cc0010001.o(.text+0x1a):test.cc: undefined reference to `cout'
C:\WIN95\TEMP/cc0010001.o(.text+0x1f):test.cc: undefined reference to
`ostream::
operator<<(char const *)'
C:\WIN95\TEMP/cc0010001.o(.text+0x60):test.cc: undefined reference to `cout'
C:\WIN95\TEMP/cc0010001.o(.text+0x65):test.cc: undefined reference to
`ostream::
operator<<(char const *)'

I have all the environment vars set as specified in the FAQ.  I have
successfully compiled several standard c program.
--
Matthew Mueller
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".